### Method

# GcrUi UnlockOptionsWidget set_sensitive

#### Declaration [src]

    void
    gcr_unlock_options_widget_set_sensitive (
      GcrUnlockOptionsWidget* self,
      const gchar* option,
      gboolean sensitive,
      const gchar* reason
    )

#### Description [src]

Set the sensitivity state for one of the options. Use an option name like `GCR_UNLOCK_OPTION_ALWAYS`. The reason will be displayed as a tooltip.

#### Parameters

`option`

  Type: `const gchar*`

  The option name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`sensitive`

  Type: `gboolean`

  The sensitivity state.

`reason`

  Type: `const gchar*`

  A user displayable string which contains the reason for the sensitivity.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.